xine-ui (0.99.5) unstable; urgency=low

  * Video window: User magnification ignored and auto-resizing on new stream
    maintained in background if not in visible windowed mode.
  * Fixed security issues related to playlist files (thanks to Chris Ries)
  * Improved positioning of menu windows and menu navigation by keyboard
  * Panel window keeps position when toggling gui visibility instead of reset to 0,0
  * OSD improvements in xitk
  * Added zoom function to fbxine (thanks to Mike Lewis <lachlanlewis@gmail.com>)
  * backtrace in debug mode in FreeBSD too
  * fixed build with different prefix from xine-lib
  * followed freedesktop standards (desktop file and icons)
  * support gapless playback while switching streams (requires xine-lib >= 1.1.1)
  * Norwegian Bokmaal translation (thanks to Alexander Nicolaysen Sørnes)
  * added replacement functions for the GNU extension (fixes FreeBSD and CygWin)
    [bugs #1395139, #1393589], other portability fixes
  * fixed X_CreateGlyphCursor crash [bugs #1092498, #1235983]

xine-ui (0.99.4) unstable; urgency=low

  * Fixed deadlock, segfaults and mem-leaks, several other fixes and enhancements,
    can't remember details (thanks also to Marcelo Jimenez and Jakub Labath)
  * Menu to reset video controls
  * fixed menu shortcut strings allocation/freeing [bug #1223022]
  * audio post plugin support
  * use UTF-8 for Japanese locale if nl_langinfo doesn't work [bug #1096974]
  * expand tabs in post-plugin help
  * merge some osd menus from oxine
  * aspect ratio fixed for multihead setups (especially TwinView)
    [bugs #1089328, #1001702 and #989157]
  * fixed parsing post plugin parameters of type double for some locales
  * autoload subtitles with .txt extension too
  * be more POSIX-compliant (head, tail) (build fix) [bug #1172729]
  * Russian translations (thanks to Pavel Maryanov)
  * forced not loading old playlist with -P option

xine-ui (0.99.3) unstable; urgency=low

  * enlarge stream info window (required for Russian translation),
  * possibility to specify more than one playlist in command line,
  * unlock mutex before destroying (thanks to Matthias Drochner),
  * netBSD mutex locking fix,
  * cursor support implementation into xiTK,
  * use post plugins for deinterlacing,
  * fix segfault on enqueuing,
  * fix segfault on playlist deletion,
  * add non-official subtitle support into ASX playlists,
  * add get_speed in session control optarg,
  * update displayed meta information while playback is running (useful for streaming radio),
  * restore original sound volume on exit,
  * fix memory corruption with huge playlists,
  * remove obsolete "black stream hack",
  * reset screensaver after playback resume,
  * various WM layering bugs,
  * handle new UTF8 meta infos,
  * huge xiTK fixes (too long for details, check cvs log :-) )(big thanks to Hans-Dieter Kosch <hdkosch@t-online.de>),
  * Japanese translations (thanks to Tadashi Jokagi),
  * fix segfault in some case with shortcut handling (thanks to Philipp Matthias Hahn),
  * visualization switching while playback is running fix,
  * handle .pls playlist inside URL,
  * new 'b' shortcut (border visibility toggle),
  * support alpha channel in splash screen image,
  * some translations updates, BIG THANKS to the translators,
  * Merry xmas xiners.

xine-ui (0.99.2) unstable; urgency=low

  * update screensaver key faking code to avoid false triggering of the
    "sticky keys" feature on newer distros
  * fix crashes caused by tooltips
  * fix reporting of dropped frames
  * experimental feature: output video to a different display than control panel.
    set gui.video_display to the second display name, usually ":0.1" or ":1",
  * removed -funroll-all-loops from SPARC and PPC targets.
  * fix xitk trying set a window property when its atom may be undefined
  * add --disable-shm-default configure option which sets feature.shm to zero
    but keeps the shm code compiled in
  * optional interaction keys with VDR
  * command line options -A and -V are not sticky any more

xine-ui (0.99.1) unstable; urgency=low

  * errors are also reported to console if verbose mode is ON (or --bug-report),
  * fix segfault with too long actions on start (like -HHHHH....),
  * lots of xine-check updates (including security fixes),
  * fix redundant keybindings reports,
  * fix unplayable streams and loop (of death) mode,
  * all supported playlist can be downloadable,
  * fix OSD stream info for the DXR3,
  * fix lirc skeleton and '%', and 100% CPU eating when lircd quit (thanks to Christoph Bartelmus <lirc@bartelmus.de>),
  * playlist meta info scanning no more disturn playback,
  * auto buttons can be limited in skinconfig (update your already downloaded skins),
  * change and add checkbox styles (user selectable, see xitk README),
  * fix chain-reaction crashes with help and stuff,
  * shortcuts displayed in menus,
  * fix xinerama fullscreen (again),
  * fix layering (one more time),
  * "ESC" key dismiss windows,
  * fix enqueuing and new streamtuner,
  * MooSFV an Noatun playlist formats added,
  * display offsets on OSD in mm:ss.ss format,
  * add skin caching (speedup)
  * remove all skins but xinetic,
  * implement AMP muting,
  * fix xinerama-fullscreen problems with new kwin versions,
  * fix XMB failure (fallback to standart XFont usage),
  * fix skin downloader preview blanking,
  * fix alpha artefact on when changing skins,
  * show windows in taskbar when output window is hidden,
  * fix root window and windows states,
  * Xft support in xitk (thanks to Drew 'dantealiegri' Ogle <dantealiegri@umbc.edu>),
  * fix a problem with special characters in OSD for some locales,
  * display offsets on OSD in mm:ss format too, SPU offset reset,
  * enhanced ASCII art frontend for using CACA (Colored AsCii Art),
  * lot of fix, as usual.

xine-ui (0.9.23) unstable; urgency=low

  * xinerama bug fixes (very fullscreen, window position when switching from
    fullscreen to normal mode),
  * shiny new help dialog,
  * some small usability improvements,
  * fix some memleaks,
  * main menu reorg, localized,
  * new deinterlacing, it use post plugins now,
  * add --bug-report and --list-plugins option to xine-ui,
  * splash screen per skin is possible,
  * all meta infos are retrieve at the same time, when playing audio CD,
  * support new unscaled OSD (note: osd need a complete rework),
  * new playlist management command in xine-remote,
  * new "stop after this stream" feature,
  * grab streams recusively (with enqueuing and file browser),
  * fix reference mrl handling,
  * add 'loop' and two new playlist options 'first' and 'last', in
    session control,
  * fix shortcut grabber,
  * sound volume control can be sets with sound card mixer or
    software amplification,
  * add help in chain reaction window,
  * double clicking in output window is a fullscreen toggle now,
  * subtitle autoload feature added,
  * new TVout feature, using libnvtvsimple for nVIDIA cards, and
    atitvout for ATI,
  * store spu offset in toxine's playlist,
  * fix skin downloder,
  * fix support of huge playlists,
  * contextual menu popup in playlist window,
  * fix control's window sliders,
  * ton of fbxine improvments (post plugin, deinterlacing, spu,
    stream infos...),
  * bunch of other fix.

xine-ui (0.9.22) unstable; urgency=low

  * control xine and fbxine via stdin, patch from Dirk Meyer <dmeyer@tzi.de>,
  * add splash screen,
  * multibyte string support from Frantisek Dvorak,
  * reload old playlist if no MRL is given (can be turned off),
  * new widget, double box,
  * font caching and cleanups from Frantisek Dvorak,
  * change policy of created widget, all non skinned are disabled and hidden,
  * new window: post plugin chain, aka "chain reaction",
  * support gxine playlist format,
  * support new audio event from the lib,
  * fix window stacking bug while switching output modes (windowed/fullscreen),
  * don't show up mouse cursor on keyboard action,
  * network control can manage loop modes,
  * fix crash when pressing 'm' or 'n' with empty playlist

xine-ui (0.9.21) unstable; urgency=low

  * fix playlist handling bug.
  * closing an xitk window don't crash xine anymore,
  * clicking on audio/spu language in main panel popup a language selection menu,
  * use ISO639-1 to display DVD audio/spu language ('en' -> 'english'),
  * support 32 audio/spu channels,
  * --enqueue can enqueue more than one mrl,
  * get rid of completion event,
  * new error message, according to xine-lib message events,
  * fix reparent bug with KDE 3.1,
  * (re)add cfg:/ style mrls, you can change any config entry BEFORE playing any
      kind of mrl,
  * fix snapshot size bug, xine-lib don't fill meta data, so we have to
      workaround,
  * change behavior of number key, they aren't binded for seeking, you
      have to press 3 key for any % seek (use option below if you think that
      suck, like me),
  * new --keymap=<keymap file> option,
  * add lirc commands for hue/saturation/brightness/contrast controls,
  * improve seeking,
  * support "resume" feature with DVD playback (<ESC> key),
  * new translation: italian,
  * fix metacity layer bug,
  * new --config option,
  * fix warp jump and double click bug in widget browser,
  * fix deadlock with panel hide/show cycle,
  * playback slider don't handle keyboard events (fix seek weirdness),
  * .po updates.

xine-ui (0.9.20) unstable; urgency=low

  * hpux compilation fix.
  * aa:
  *   support XINE_ENGINE_PARAM_VERBOSITY
  * fb:
  *   fix xine's driver initialization.
  * xitk:
  *   add get position/length in network control,
  *     (patch from Henrik (Mauritz) Johnson <henrik@spinbox.se>),
  *   support fb output,
  *   many skins updates (don't forget to update your local copies),
  *   add menu events in main menu,
  *   fix segfault with wrong DISPLAY envvar,
  *   try to handle versionless asx playlists,
  *   fix lirc exiting freeze bug,
  *   add --verbose[=level] option arg,
  *   various memleaks/bug fixes,
  *   update file browser filters,
  *   fix quit while playing crash bug, faster quit,
  *   support XINE_ENGINE_PARAM_VERBOSITY,
  *   support XINE_PARAM_AUDIO_AMP_LEVEL (shortcut/session).
  *   enabled on-the-fly changing of post plugins
       (needs at least xine-lib 1-beta10 to be safe to use)

xine-ui (0.9.19) unstable; urgency=low

  * deinterlace and aspect ratio from command line
    (patch from Dan Dennedy <dan@dennedy.org>),
  * FreeBSD compilation fixes (patch from mike@flyn.org	<mike@flyn.org>),
  * main panel don't show 00:00:00 time when stream length is unknown (streaming),
  * faster exit,
  * smil playlist parser,
  * handle new discoverer ASX playlist format (ASF <url>),
  * construct better filenames for snapshots,
  * need xine-lib beta5 (don't forward/get completion X event),
  * support reference streams (useful with Qt trailers and many wrong urls),
  * add menu widget (right click in video window),
  * reuse ~/.xine/config file,
  * new 'Ok' button in setup window (it save values and dismiss window),
  * don't display engine status (upper left corner) when the engine is already started,
  * fix XVidMode modeline deletion bug,
  * fix a problem with xinerama fullscreen which caused the fullscreen to
    occur not always on the right screens
  * do not save unsupported controls (hue, sat, etc) on config,
  * fix image controls for latest SiS driver,
  * fix root window mode (big thanks to XPenguins project, they same me a ton of
    investigations),
  * .po updates (thanks to ALL translators), usual various bugfixes.

xine-ui (0.9.18) unstable; urgency=low

  * aaxine use post plugin for video less streams.
  * support spu offset tunning,
  * 'newbie mode' has been renamed 'smart mode', it seems some people,
    found this mode name quite offending (but they was wrong!),
  * add linux fb frontend from Fredrik Noring <noring@nocrew.org>,
  * add session control support,
  * support again text subtitle in mrl (::<sub file>),
  * ask user when duplicate shortcuts are found,
  * add subtitle field in mediamark editor, add shortcut to select,
    a subtitle file at runtime,
  * implement subtitle support (thanks Miguel) with new xine API,
  * fix start time and playlist start function,
  * fix abort case with tab widget (size == 0),
  * implement skin preview,
  * fix crash bug with download feature,
  * more support for mouse wheel,
  * clicking in time label will show remaining time (and tips show full time length),
  * re-add unsupported codec reports,
  * change some default value, made beginners life easier,
  * some newbie mode enhancements,
  * fix OSD placements when wrong frame size are reported, more cleanings,
  * fix definetly auto-hide and DXR3 using,
  * apply button added in setup window (changes cancelation possible),
  * some playlist bugs fixed,
  * few other bug fixed, as usual.

xine-ui (0.9.17) unstable; urgency=low

  * keep in mind origin path for filebrowser (per session),
  * support X resource manager,
  * fix combo widget autoroll bug,
  * fix segfault with large playlists,
  * fix "slider jump to 0 on seek" bug,
  * Polish man updates,
  * fix autoplay button mrls handling,
  * fix playback control locking with playlist loading and mrl browser selections,
  * add save button in configuration window,
  * support origin path for m3u playlists,
  * some OSD cleanups,
  * fix OSD crashing with small steams or when video window was hidded
  * automatically hide video window when DXR3 and TVout is used,
  * user level experience configuration support,
  * setup enumerate audio/video plugins.
  * add support of post plugins.

xine-ui (0.9.16) unstable; urgency=low

  * some bug fixes: config dialog segfault, several race conditions
  * add a real file browser, used to load/save playlist, open a stream,
  * aspect ratio fix
  * add OSD support,
  * remove embedded libcurl (use conditionally external one),
  * take care of origin when using sfv playlist.
  * add a xinerama fullscreen, ie a fullscreen on several screens

xine-ui (0.9.15) unstable; urgency=low

  * download asx playlist. In fact it can download anything, since we
    use libcurl now. It's experimental and not documented yet (use dload:/
    as an mrl prefix, ftp:// are also handled)
  * handle playlist file/mrl in playlist (cryptic words here)
  * tons of toolkit bugfixes,
  * snapshot fixed,
  * update from time to time audio and spu language,
  * fix root window display,
  * output window can be on top even in windowed mode,
  * scan whole playlist about stream info,
  * playlist support: asx, tox, m3u, pls, sfv and raw text,
  * playlist loop modes,
  * new mediamark object support (start/end/ident/mrl),
  * possibility to add a new mediamark from current position playback,
  * mediamarks are editable from playlist window,
  * visual animation while audio only stream playback,
  * kde window mapping bug fixed,
  * handle 'none' video output plugin,
  * fix playlist entry moving,
  * fix relative seeking bug,
  * fix 'file:/' mrl DnD adding bug,
  * improved support for moving and resizing video window,
  * (aaUI) playlist fixes,
  * man pages and translation files updates.

xine-ui (0.9.14) unstable; urgency=low

  * dfb is disabled now (we need a maintainer),
  * corba is disabled now (we need a maintainer),
  * new logo code,
  * reenable sound control,
  * dpms standby,
  * more new api syncing,
  * fix seeking,
  * fullscreen bug fixed (twice click),
  * fix mrl browser mrl filtering bug,
  * document new mrl syntax,
  * navigation (dvd/vcd) window,
  * stream information window,
  * panel/output_window autohide feature (regarding to stream type),
  * browser widgets have horizontal slider (useful with larger text strings),
  * man pages and translation files updates.

  * -- Switch to new xine library API --

xine-ui (0.9.13) unstable; urgency=low

  * includes the most popular themes: xinetic(default), cloudy, CelomaChrome
  * improved TV mode selection (untested)
  * localization updates (including correct numeric plural forms)
  * aaxine should work with linux or slang drivers again
  * improved performance on IA-32 (compiling without -funroll-all-loops)
  * setup dialog features brand-new xitk scrollbars
  * prev/next buttons optionally switch chapters (instead of MRLs) on supported media
  * invalid buttons (eg. "play" without an MRL) are disabled

  And, of course, lots of other small bugfixes and improvements...

 -- Siggi Langauf <siggi@debian.org>  Sat,  3 Aug 2002 22:58:00 +0200

xine-ui (0.9.12) unstable; urgency=low

  * fixed segfault with German localization

 -- Siggi Langauf <siggi@debian.org>  Sun, 23 Jun 2002 12:20:11 +0200

xine-ui (0.9.11) unstable; urgency=low

  * started the xine-ui ChangeLog again
  * lots of bugfixes
  * new, cool, default theme
  * removed all the other themes from default distribution
    (you can still down load them from http://xine.sf.net)
  * xine-ui now reports unsupported codec formats
  * probably more things that I don't recall

 -- Siggi Langauf <siggi@users.sf.net>  Sun, 21 Jun 2002
